.\"	$NetBSD: cpi.4,v 1.3 2009/03/15 11:24:46 joerg Exp $
.\"
.\" Copyright (c) 2008 Hauke Fath.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 18, 2008
.Dt CPI 4 mac68k
.Os
.Sh NAME
.Nm cpi
.Nd parallel printer driver for Creative Systems Inc. Hurdler CPI Nubus card
.\"
.Sh SYNOPSIS
.Cd "cpi* at nubus?"
.\"
.Sh DESCRIPTION
The
.Nm
interface provides access to parallel printer ports.
.\"
.Sh HARDWARE
The
.Nm
interface supports the Creative Systems Inc. Hurdler CPI Nubus card,
which is based on a Zilog Z8536 CIO.
.\"
.Pp
The parallel port on the Hurdler CPI card is wired as follows:
.Bl -column "/STROBE" "Page error" "SubD pin" "Z8536 pin" "Z8536 signal"
.It Sy "Signal"		SubD pin	Z8536 pin	Z8536 signal
.It /STROBE	Strobe	1	22	PC3
.It D0		2	33	PA0
.It \&D1		3	32	PA1
.It D2		4	31	PA2
.It D3		5	30	PA3
.It D4		6	29	PA4
.It D5		7	28	PA5
.It D6		8	27	PA6
.It D7		9	26	PA7
.It /ACK		10	21 + 11	PC2 + PB3
.It BUSY		11	19 + 14	PC0 + PB6
.It PE	Paper Error	12	20	PC1
.It SEL	Select	13	13	PB5
.It /AUTOFD	Auto Feed	14	12	PB4
.It /FAULT		15	9	PB1
.It /RESET		16	8	PB0
.It /SELIN	Select \&In	17	10	PB2
.El
.Pp
The Z8536 INT line (pin 24) is wired to PB7 (pin 15).
.\"
.Sh SEE ALSO
.Xr autoconf 4 ,
.Xr lpt 4 ,
.Xr nubus 4 ,
.Xr printcap 5
.Pp
.Tn IEEE Standard 1284-1994
.\" .Sh STANDARDS
.\"
.Sh HISTORY
.Nm
first appeared in
.Nx 5.0 .
.\"
.Sh AUTHORS
The
.Nm
driver was written by
.An Hauke Fath
.Aq hauke@NetBSD.org .
.\"
.Sh CAVEATS
The Hurdler CPI Nubus card does not use a TTL buffer to
drive the parallel interface.
Instead, the card's Z8536 CIO drives the printer port directly.
Printers terminating the parallel interface with less
than 2 kOhms may cause permanent damage to the Z8536 CIO.
